<div class="container">
    <div class="row card">
      <div class="card-header"><i class="icon-map"></i>Data Logger & Battery</div>

      <div class="col-xs-12 col-sm-12 col-md-12 card-body">
          <form [formGroup]="dLoggerForm" (ngSubmit)="onSubmit()" class="form-inline" role="form">

            <label for="dataLoggerId" class="mb-2 mr-sm-2">&nbsp;Data Logger ID:</label>
            <input
             type="text"
             class="form-control mb-2 mr-sm-2"
             formControlName="dataLoggerId"
             placeholder="Enter Data Logger ID">

            <button type="submit" class="btn btn-primary mb-2">Search</button>
          </form>
        </div>


      <div class="col-xs-12 col-sm-12 col-md-12 card-body">
          <table
            datatable
            [dtOptions]="dtOptions"
            [dtTrigger]="dtTrigger"
            class="table table-striped table-bordered row-border hover"
          >
            <thead>
              <tr>
                <th *ngFor="let header of tableHeaders">{{ header }}</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let element of data">
                <td>{{ element.dataLoggerId }}</td>
                <td *ngIf="element.batteryPackId;else NA">{{ element.batteryPackId }}</td>
                <ng-template #NA><td>NA</td></ng-template>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
